resource "aws_security_group" "elb" {
  name        = "elb-group"
  description = "ELB security group is final world frontier security group."
  vpc_id      = var.jz_vpc.self.id

  tags = {
    Name = "${var.name}-${var.env}-elb-sg"
    Env  = var.env
  }

  dynamic "ingress" {
    for_each = var.port_mapping
    content {
      from_port   = ingress.value.elb_port
      to_port     = ingress.value.elb_port
      protocol    = "tcp"
      cidr_blocks = [
        "0.0.0.0/0",
      ]
    }
  }

  egress {
    from_port   = "0"
    to_port     = "0"
    protocol    = "-1"
    cidr_blocks = [
      "0.0.0.0/0",
    ]
  }
}