variable "name" {
  type        = string
  description = "The name of the Swarm project."
}

variable "env" {
  type        = string
  description = "Deployment environment."
}

variable "jz_vpc" {
  type        = object({
    self    = object({
      id = string
    })
    subnets = list(any)
  })
  description = "A reference to jz_vpc module."
}

variable "jz_swarm_project" {
  type        = object({
    instance_ids = object({
      leader   = string
      managers = set(string)
      workers  = set(string)
    })
  })
  description = "A reference to jz_swarm_project module."
}

variable "port_mapping" {
  type = list(object({
    app_protocol = string
    app_port     = number
    nlb_protocol = string
    nlb_port     = number
  }))
}

variable "health_check_port" {
  type        = string
  default     = "traffic-port"
  description = "Set this if you want to override health-check from traffic port to another TCP."
}

variable "ssl_cert_domain" {
  type        = string
  default     = ""
  description = "ACM certificate domain name (FQN) for which https ELB listeners shall be launched."
}
