output "security_groups" {
  value = [
    aws_security_group.vpc,
    aws_security_group.ssh,
    aws_security_group.docker,
  ]
  description = "All created generic security groups."
}

output "vpc_security_group" {
  value       = aws_security_group.vpc
  description = "VPC-wide access security group."
}

output "kms_key" {
  value       = aws_kms_key.params_storage
  description = "KMS key that Docker has access to."
}

output "ssh_key_pair" {
  value = {
    key_name           = "${var.env}-${var.ssh_key_name}"
    public_key_path    = "${var.env}-${var.ssh_key_name}.pub"
    private_key_path   = "${var.env}-${var.ssh_key_name}.pem"
    public_key_openssh = tls_private_key.swarm_ssh_key.public_key_openssh
    private_key_pem    = tls_private_key.swarm_ssh_key.private_key_pem
  }
  description = "Custom ssh_keypair object with all necessery data for project."
}

output "swarm_mgmt_cidrs" {
  value       = var.swarm_mgmt_cidrs
  description = "Swarm management CIDRs."
}