resource "null_resource" "leader_init" {
  triggers = {
    instance_id = var.jz_swarm_project.instance_ids.leader
  }

  connection {
    type        = "ssh"
    host        = var.jz_swarm_project.ips.leader
    user        = "ec2-user"
    private_key = file(var.jz_swarm_generic.ssh_key_pair.private_key_path)
  }

  # Join Swarm on create
  provisioner "remote-exec" {
    inline = [
      "aws configure set default.region ${data.aws_region.current.name}",
      "init-swarm.sh ${var.name}-${var.env} create_swarm ${var.jz_swarm_generic.kms_key.id}",
      "init-efs.sh ${var.jz_swarm_project.efs.reg.id} ${var.jz_swarm_project.efs.maxio.id}",
    ]
  }
}