data "aws_route53_zone" "domain_zone" {
  count = var.domain != "" ? 1 : 0
  name  = var.domain
}

resource "aws_route53_record" "swarm_leader_domain" {
  count   = var.domain != "" ? 1 : 0
  zone_id = data.aws_route53_zone.domain_zone[0].zone_id
  type    = "A"
  name    = "${var.env}-swrm-lead.${var.domain}"
  ttl     = 300
  records = [
    var.jz_swarm_project.ips.leader]
}

resource "aws_route53_record" "swarm_nodes_domains" {
  for_each = var.domain != "" ? toset(concat(var.jz_swarm_project.ips.managers.*, var.jz_swarm_project.ips.workers.*)) : []

  zone_id = data.aws_route53_zone.domain_zone[0].zone_id
  type    = "A"
  name    = "${var.env}-swrm-node-${replace(each.value, ".", "-")}.${var.domain}"
  ttl     = 300
  records = [
    each.value]
}
